package com.fs.his.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 媒体订单对象 fs_inquiry_order_media
 * 
 * @author fs
 * @date 2023-06-12
 */
public class FsInquiryOrderMedia extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long mediaId;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long orderId;

    /** 媒体类型 1语音 2视频 */
    @Excel(name = "媒体类型 1语音 2视频")
    private Integer mediaType;

    /** 媒体地址 */
    @Excel(name = "媒体地址")
    private String mediaUrl;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishTime;

    /** 时长 */
    @Excel(name = "时长")
    private BigDecimal times;

    public void setMediaId(Long mediaId) 
    {
        this.mediaId = mediaId;
    }

    public Long getMediaId() 
    {
        return mediaId;
    }
    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }
    public void setMediaType(Integer mediaType) 
    {
        this.mediaType = mediaType;
    }

    public Integer getMediaType() 
    {
        return mediaType;
    }
    public void setMediaUrl(String mediaUrl) 
    {
        this.mediaUrl = mediaUrl;
    }

    public String getMediaUrl() 
    {
        return mediaUrl;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setFinishTime(Date finishTime) 
    {
        this.finishTime = finishTime;
    }

    public Date getFinishTime() 
    {
        return finishTime;
    }
    public void setTimes(BigDecimal times) 
    {
        this.times = times;
    }

    public BigDecimal getTimes() 
    {
        return times;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("mediaId", getMediaId())
            .append("orderId", getOrderId())
            .append("mediaType", getMediaType())
            .append("mediaUrl", getMediaUrl())
            .append("createTime", getCreateTime())
            .append("startTime", getStartTime())
            .append("finishTime", getFinishTime())
            .append("times", getTimes())
            .toString();
    }
}
